OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_Array1OfPropertyDefinitionRepresentation Class Reference

`#include <StepRepr_Array1OfPropertyDefinitionRepresentation.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_Array1OfPropertyDefinitionRepresentation (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepRepr_Array1OfPropertyDefinitionRepresentation (const Handle(StepRepr_PropertyDefinitionRepresentation)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepRepr_PropertyDefinitionRepresentation)&V)
Standard_EXPORT void | Destroy ()
| ~StepRepr_Array1OfPropertyDefinitionRepresentation ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepRepr_Array1OfPropertyDefinitionRepresentation & | Assign (const StepRepr_Array1OfPropertyDefinitionRepresentation &Other)
const StepRepr_Array1OfPropertyDefinitionRepresentation & | operator= (const StepRepr_Array1OfPropertyDefinitionRepresentation &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepRepr_PropertyDefinitionRepresentation)&Value)
const Handle_StepRepr_PropertyDefinitionRepresentation & | Value (const Standard_Integer Index) const
const Handle_StepRepr_PropertyDefinitionRepresentation & | operator() (const Standard_Integer Index) const
Handle_StepRepr_PropertyDefinitionRepresentation & | ChangeValue (const Standard_Integer Index)
Handle_StepRepr_PropertyDefinitionRepresentation & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepRepr_Array1OfPropertyDefinitionRepresentation (const StepRepr_Array1OfPropertyDefinitionRepresentation &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_Array1OfPropertyDefinitionRepresentation::StepRepr_Array1OfPropertyDefinitionRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepRepr_Array1OfPropertyDefinitionRepresentation::StepRepr_Array1OfPropertyDefinitionRepresentation | ( | const Handle(StepRepr_PropertyDefinitionRepresentation)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepRepr_Array1OfPropertyDefinitionRepresentation::~StepRepr_Array1OfPropertyDefinitionRepresentation | ( |  | ) | `[inline]`

Standard_EXPORT StepRepr_Array1OfPropertyDefinitionRepresentation::StepRepr_Array1OfPropertyDefinitionRepresentation | ( | const StepRepr_Array1OfPropertyDefinitionRepresentation & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepRepr_Array1OfPropertyDefinitionRepresentation& StepRepr_Array1OfPropertyDefinitionRepresentation::Assign | ( | const StepRepr_Array1OfPropertyDefinitionRepresentation & | Other | ) |

Handle_StepRepr_PropertyDefinitionRepresentation& StepRepr_Array1OfPropertyDefinitionRepresentation::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepRepr_Array1OfPropertyDefinitionRepresentation::Destroy | ( |  | ) |

Standard_EXPORT void StepRepr_Array1OfPropertyDefinitionRepresentation::Init | ( | const Handle(StepRepr_PropertyDefinitionRepresentation)& | V | ) |

Standard_Boolean StepRepr_Array1OfPropertyDefinitionRepresentation::IsAllocated | ( |  | ) | const

Standard_Integer StepRepr_Array1OfPropertyDefinitionRepresentation::Length | ( |  | ) | const

Standard_Integer StepRepr_Array1OfPropertyDefinitionRepresentation::Lower | ( |  | ) | const

void StepRepr_Array1OfPropertyDefinitionRepresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepRepr_Array1OfPropertyDefinitionRepresentation::operator new | ( | size_t | size | ) | `[inline]`

void* StepRepr_Array1OfPropertyDefinitionRepresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepRepr_PropertyDefinitionRepresentation& StepRepr_Array1OfPropertyDefinitionRepresentation::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepRepr_PropertyDefinitionRepresentation& StepRepr_Array1OfPropertyDefinitionRepresentation::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepRepr_Array1OfPropertyDefinitionRepresentation& StepRepr_Array1OfPropertyDefinitionRepresentation::operator= | ( | const StepRepr_Array1OfPropertyDefinitionRepresentation & | Other | ) | `[inline]`

void StepRepr_Array1OfPropertyDefinitionRepresentation::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepRepr_PropertyDefinitionRepresentation)& | Value
| ) |

Standard_Integer StepRepr_Array1OfPropertyDefinitionRepresentation::Upper | ( |  | ) | const

const Handle_StepRepr_PropertyDefinitionRepresentation& StepRepr_Array1OfPropertyDefinitionRepresentation::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepRepr_Array1OfPropertyDefinitionRepresentation::isAllocated`[private]`

Standard_Integer StepRepr_Array1OfPropertyDefinitionRepresentation::myLowerBound`[private]`

Standard_Address StepRepr_Array1OfPropertyDefinitionRepresentation::myStart`[private]`

Standard_Integer StepRepr_Array1OfPropertyDefinitionRepresentation::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepRepr_Array1OfPropertyDefinitionRepresentation.hxx